Loading...
Searching...
No Matches
uhd::io_error Struct Reference

`#include <uhd/exception.hpp>`

Inheritance diagram for uhd::io_error:
[legend]
Collaboration diagram for uhd::io_error:
[legend]

## Public Member Functions

| io_error (const std::string &what)
unsigned | code (void) const override
io_error * | dynamic_clone (void) const override
void | dynamic_throw (void) const override
Public Member Functions inherited from uhd::environment_error
| environment_error (const std::string &what)
Public Member Functions inherited from uhd::exception
| exception (const std::string &what)

## Detailed Description

Raised when an I/O operation fails for an I/O-related reason.

## Constructor & Destructor Documentation

## io_error()

uhd::io_error::io_error | ( | const std::string & | what | ) |

## Member Function Documentation

## code()

unsigned uhd::io_error::code | ( | void |  | ) | const

override virtual

Reimplemented from uhd::environment_error.

## dynamic_clone()

io_error * uhd::io_error::dynamic_clone | ( | void |  | ) | const

override virtual

Reimplemented from uhd::environment_error.

## dynamic_throw()

void uhd::io_error::dynamic_throw | ( | void |  | ) | const

override virtual

Reimplemented from uhd::environment_error.

The documentation for this struct was generated from the following file:

- exception.hpp